---
title: Discord Integration
sidebar:
  label: Discord
description: Learn how to integrate Discord with GetSphere
---

import { Card, CardGrid, Steps, Aside } from '@astrojs/starlight/components';

## Data

**Activities:**

- When someone joins a server
- Messages
- Replies (in threads)

**Historical Import:**

- No limitations

**Not tracking:**

- Reactions
- When someone leaves a server

**Refresh Period:**

- Close to instantaneous

## Installation
<Steps>
  1. Go to the [Integration settings](https://app.getsphere.dev/integrations) and find Discord and click **Connect**. 

  2. Review the permissions required by GetSphere, select the server to install GetSphere into and click **Continue**.

  3. Click **Authorize** to grant GetSphere access to your Discord server.
</Steps>

Done! We're now collecting your community's Discord activities.

### Optional: Add Discord Bot to Private Channels
By default, our bot can only fetch data from public channels. If you need to collect data from private channels, you must assign the bot an appropriate server role.

You can learn more about Discord server roles [here](https://support.discord.com/hc/en-us/articles/214836687-Role-Management-101).

That's it! GetSphere now collects all messages, reactions, and server joiners from your Discord community. 🎉